Subject: Ticket Assigned - Escalation
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Mon, 01 Feb 2021 11:16:45 +0000

Hi Yazid Abdullah,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Escalation User                    Hi, I called and reported an item is broken when delivered to me, and the call center agent told me they will pick it up and refund the money           02:42 PM, 01st Feb                     User                    Been almost 2 weeks and nobody picked up the item nor refund the payment to my credit card           02:43 PM, 01st Feb                   Yazid                   Hi, Thank you for contacting us. My name is Yazid How may I help you?           02:44 PM, 01st Feb                     User                    Can u please check my msgs above?           02:45 PM, 01st Feb                     User                    Or shall i send it again?           02:45 PM, 01st Feb                   Yazid                   Could you please share your order number so that I can assist you further?           02:47 PM, 01st Feb                     User
                     8228483701           02:48 PM, 01st Feb                     User                    Triton 6-Piece Stemware Set - 455 ml           02:49 PM, 01st Feb                     User                    This is the item which I received broken           02:49 PM, 01st Feb                     User                    KD 6.900           02:50 PM, 01st Feb                   Yazid                   May I request you to please stay on-hold while I retrieve the information.           02:51 PM, 01st Feb                     User                    Ok           02:52 PM, 01st Feb                   Yazid                   We have checked I can see the issue has been escalated and we request to allow us sometime to get this fixed and we appreciate your patience.           02:52 PM, 01st Feb                   Yazid                   Is there anything else I can help with ??           02:52 PM, 01st Feb                     User                    What does that mean to me as a client? 
 When will i get my money refund?           02:53 PM, 01st Feb                   Yazid                   We would like to inform you that we contact our courier partner to collect your item back to our warehouse the your refund will process           02:55 PM, 01st Feb                     User                    When           02:56 PM, 01st Feb                     User                    Another 2 weeks ?????           02:56 PM, 01st Feb                     User                    This is the worst customer service I have dealt with           02:56 PM, 01st Feb                   Yazid                   We sincerely apologize for any inconvenience caused to you, but will collect the item asap just give us a time for that we Appreciate  you patient           02:59 PM, 01st Feb                   Yazid                   Is there anything else I can help with ??           02:59 PM, 01st Feb                     User                    Give you time? I Need you to set the time because I wa
 nt to make sure someone is there at home when u send someone to collect it!           03:00 PM, 01st Feb                     User                    Saying give us time just like that is not accepted. You need to be specific specially after this bad experience of ignoring my request for almost 2 weeks!           03:01 PM, 01st Feb                     User                    The minimum should be that u refund the money by now, and then at leisure pick up your item ! But legally you cannot hold the client's money like that! And not allow for the client to return it through other channels like the showrooms itself! This is illegal according to ministry of commerce laws !           03:02 PM, 01st Feb                   Yazid                   We sincerely apologize for any inconvenience caused we would like to inform you that our courier partner will contact you before collection the item           03:06 PM, 01st Feb                     User                    When?           03:07 PM, 
 01st Feb                     User                    I need to know when           03:07 PM, 01st Feb                     User                    It's not acceptable that after all this time i am asked to wait for an unknown period of time           03:08 PM, 01st Feb                     User                    I think I reported my issue on 14th January, which is more than 2 weeks now           03:08 PM, 01st Feb                   Yazid                   Our councer team will contact you within 24-48 hours to collect your item           03:12 PM, 01st Feb                   Yazid                   Is there anything else I can help with ??           03:12 PM, 01st Feb                     User                    Yes, make sure this is resolved within 48hrs max.  Bye           03:13 PM, 01st Feb                     User                    How can I get a copy of this chat ?           03:14 PM, 01st Feb                   Yazid                   No need for copy it already there         
   03:15 PM, 01st Feb                   Yazid                   It was a pleasure to assist you. Thank you for shopping with us.  Have a wonderful day.           03:15 PM, 01st Feb                                          View conversation in Freshchat https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2043907